Index: trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/aeropacity.F90	(revision 1384)
@@ -6,4 +6,5 @@
        USE comgeomfi_h
        USE tracer_h, only: noms,rho_co2,rho_ice
+       use comcstfi_mod, only: g
                   
        implicit none
@@ -40,9 +41,5 @@
 !=======================================================================
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-#include "comcstfi.h"
-!#include "comvert.h"
 
       INTEGER,INTENT(IN) :: ngrid  ! number of atmospheric columns
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_cpp3d.F90	(revision 1384)
@@ -12,8 +12,7 @@
 !
 !==================================================================
-
+      use comcstfi_mod, only: cpp, r
       implicit none
 
-#include "comcstfi.h"
 #include "callkeys.h"
 #include "cpdet.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_cpp_mugaz.F90	(revision 1384)
@@ -18,9 +18,7 @@
 
       use gases_h
+      use comcstfi_mod, only: cpp, mugaz
       implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/calc_rayleigh.F90	(revision 1384)
@@ -28,8 +28,8 @@
       use radcommon_h, only: WAVEV, BWNV, DWNV, tstellar, tauray, taurayvar, scalep
       use gases_h
+      use comcstfi_mod, only: g, mugaz
 
       implicit none
 
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/calcenergy_kcm.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/calcenergy_kcm.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/calcenergy_kcm.F90	(revision 1384)
@@ -4,4 +4,5 @@
 use params_h, only : Rc
 use watercommon_h, only : mH2O
+use comcstfi_mod, only: g, mugaz
 implicit none
 
@@ -10,10 +11,4 @@
 !     Authour: R. Wordsworth (2011)
 !     ----------------------------------------------------------------
-
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
-!#include "callkeys.h"
-
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/callcorrk.F90	(revision 1384)
@@ -18,4 +18,5 @@
       use aerosol_mod, only : iaero_co2,iaero_h2o,iaero_dust,iaero_h2so4, iaero_back2lay
       USE tracer_h
+      use comcstfi_mod, only: pi, mugaz, cpp
 
       implicit none
@@ -36,6 +37,4 @@
 !==================================================================
 
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/callsedim.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/callsedim.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/callsedim.F	(revision 1384)
@@ -7,4 +7,5 @@
       use aerosol_mod, only : iaero_h2o
       USE tracer_h, only : igcm_co2_ice,igcm_h2o_ice,radius,rho_q
+      use comcstfi_mod, only: g
 
       IMPLICIT NONE
@@ -28,7 +29,4 @@
 c   -------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/comcstfi.h
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comcstfi.h	(revision 1371)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-! INCLUDE "comcstfi.h"
-
-      common/comcstfi/pi,rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
-      common/comcstfi/avocado!,molrad,visc
-      
-      real pi,rad,g,r,cpp,rcp,dtphys,daysec,mugaz,omeg
-      real avocado!,molrad,visc
-
Index: trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90	(revision 1384)
+++ trunk/LMDZ.GENERIC/libf/phystd/comcstfi_mod.F90	(revision 1384)
@@ -0,0 +1,16 @@
+MODULE comcstfi_mod
+IMPLICIT NONE
+      
+      REAL :: pi ! something like 3.14159
+      REAL :: rad ! radius of the planet (m)
+      REAL :: g ! gravity (m/s2)
+      REAL :: r ! reduced gas constant (r=8.314511/(mugaz/1000.0))
+      REAL :: cpp ! Cp of the atmosphere
+      REAL :: rcp ! r/cpp
+      REAL :: dtphys ! physics time step (s)
+      REAL :: daysec ! length of day (s)
+      REAL :: mugaz ! molar mass of the atmosphere (g/mol)
+      REAL :: omeg ! planet rotation rate (rad/s)
+      REAL :: avocado ! something like 6.022e23
+
+END MODULE comcstfi_mod
Index: trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/condense_cloud.F90	(revision 1384)
@@ -13,5 +13,5 @@
       USE comgeomfi_h, only: lati
       USE tracer_h, only: noms, rho_co2
-
+      use comcstfi_mod, only: g, r, cpp
 
       implicit none
@@ -56,8 +56,4 @@
 !==================================================================
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
-!#include "comvert.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/convadj.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/convadj.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/convadj.F	(revision 1384)
@@ -7,4 +7,5 @@
 
       USE tracer_h
+      use comcstfi_mod, only: g
 
       implicit none
@@ -29,7 +30,4 @@
 !     ------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/evap.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/evap.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/evap.F	(revision 1384)
@@ -6,8 +6,4 @@
 
       implicit none
-
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 
 !==================================================================
Index: trunk/LMDZ.GENERIC/libf/phystd/forceWCfn.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/forceWCfn.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/forceWCfn.F	(revision 1384)
@@ -2,4 +2,5 @@
 
       USE tracer_h
+      use comcstfi_mod, only: g
 
       implicit none
@@ -17,8 +18,4 @@
 !     
 !==================================================================
-
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 
       INTEGER ngrid,nlayer,nq
Index: trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/gfluxi.F	(revision 1384)
@@ -32,8 +32,7 @@
       use radinc_h
       use radcommon_h, only: planckir
+      use comcstfi_mod, only: pi
 
       implicit none
-
-#include "comcstfi.h"
 
       INTEGER NLP
Index: trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/hydrol.F90	(revision 1384)
@@ -40,7 +40,4 @@
 !==================================================================
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/inifis.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/inifis.F	(revision 1384)
@@ -10,4 +10,6 @@
       use comsoil_h, only: ini_comsoil_h
       use control_mod, only: ecritphy
+      use comcstfi_mod, only: rad, daysec, dtphys, cpp, g, r, rcp,
+     &                        mugaz, pi, avocado
       use planete_mod, only: nres
       use planetwide_mod, only: planetwide_sumval
@@ -53,8 +55,5 @@
       USE ioipsl_getincom_p
       IMPLICIT NONE
-!#include "dimensions.h"
-!#include "dimphys.h"
-!#include "planete.h"
-#include "comcstfi.h"
+
 #include "callkeys.h"
 
@@ -712,5 +711,5 @@
 
 !$OMP MASTER
-      pi=2.*asin(1.) ! NB: pi is a common in comcstfi.h
+      pi=2.*asin(1.) ! NB: pi is a common in comcstfi_mod
 !$OMP END MASTER
 !$OMP BARRIER
Index: trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniorbit.F	(revision 1384)
@@ -4,45 +4,15 @@
       USE planete_mod, only: apoastr, periastr, year_day, obliquit,
      &                       peri_day, e_elips, p_elips, timeperi
+      use comcstfi_mod, only: pi
       IMPLICIT NONE
 
-c=======================================================================
-c
-c   Auteur:
-c   -------
-c     Frederic Hourdin      22 Fevrier 1991
-c
-c   Objet:
-c   ------
-c    Initialisation du sous programme orbite qui calcule
-c    a une date donnee de l'annee de duree year_day commencant
-c    a l'equinoxe de printemps et dont le periastre se situe
-c    a la date peri_day, la distance au soleil et la declinaison.
-c
-c   Interface:
-c   ----------
-c   - Doit etre appele avant d'utiliser orbite.
-c   - initialise une partie du common planete_mod
-c
-c   Arguments:
-c   ----------
-c
-c   Input:
-c   ------
-c   apoastr       \   apoastron and periastron of the orbit in AU
-c   periastr      /   
-c
-c=======================================================================
-
-c-----------------------------------------------------------------------
-c   Declarations:
-c   -------------
-
-!#include "planete.h"
-#include "comcstfi.h"
+!=======================================================================
+! Initialisation of orbital parameters (stored in planete_h module)
+!=======================================================================
 
 c   Arguments:
 c   ----------
 
-      REAL papoastr,pperiastr,pyear_day,pperi_day,pobliq
+      REAL,INTENT(IN) :: papoastr,pperiastr,pyear_day,pperi_day,pobliq
 
 c   Local:
@@ -80,7 +50,7 @@
 
  
-      PRINT*,'Periastron in AU  ',periastr
-      PRINT*,'Apoastron in AU  ',apoastr 
-      PRINT*,'Obliquity in degrees  :',obliquit
+      PRINT*,'iniorbit: Periastron in AU  ',periastr
+      PRINT*,'iniorbit: Apoastron in AU  ',apoastr 
+      PRINT*,'iniorbit: Obliquity in degrees  :',obliquit
 
 
@@ -88,37 +58,35 @@
       p_elips=0.5*(periastr+apoastr)*(1-e_elips*e_elips)
 
-      print*,'e_elips',e_elips
-      print*,'p_elips',p_elips
+      print*,'iniorbit: e_elips',e_elips
+      print*,'iniorbit: p_elips',p_elips
 
-c-----------------------------------------------------------------------
-c calcul de l'angle polaire et de la distance au soleil :
-c -------------------------------------------------------
+!-----------------------------------------------------------------------
+! compute polar angle and distance to the Sun:
+! -------------------------------------------------------
 
-c  calcul de l'zanomalie moyenne
+!  compute mean anomaly zanom
 
       zz=(year_day-pperi_day)/year_day
       zanom=2.*pi*(zz-nint(zz))
       zxref=abs(zanom)
-      PRINT*,'zanom  ',zanom
+      PRINT*,'iniorbit: zanom  ',zanom
 
-c  resolution de l'equation horaire  zx0 - e * sin (zx0) = zxref
-c  methode de Newton
+!  solve equation  zx0 - e * sin (zx0) = zxref for eccentric anomaly zx0
+!  using Newton method
 
       zx0=zxref+e_elips*sin(zxref)
-      DO 110 iter=1,100
+      DO iter=1,100
          zdx=-(zx0-e_elips*sin(zx0)-zxref)/(1.-e_elips*cos(zx0))
-         if(abs(zdx).le.(1.e-12)) goto 120
+         if(abs(zdx).le.(1.e-12)) exit
          zx0=zx0+zdx
-110   continue
-120   continue
+      ENDDO
+
       zx0=zx0+zdx
       if(zanom.lt.0.) zx0=-zx0
-      PRINT*,'zx0   ',zx0
-
-c zteta est la longitude solaire
+      PRINT*,'iniorbit: zx0   ',zx0
 
       timeperi=2.*atan(sqrt((1.+e_elips)/(1.-e_elips))*tan(zx0/2.))
-      PRINT*,'Solar longitude of periastron timeperi = ',timeperi
+      PRINT*,'iniorbit: Perihelion solar long. Ls (deg)=',
+     &       360.-timeperi*180./pi
 
-      RETURN
       END
Index: trunk/LMDZ.GENERIC/libf/phystd/initracer.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/initracer.F	(revision 1384)
@@ -24,6 +24,4 @@
 
 #include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/iniwrite.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniwrite.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniwrite.F	(revision 1384)
@@ -2,4 +2,6 @@
 
       use comsoil_h, only: mlayer, nsoilmx
+      use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, daysec, dtphys,
+     &                        pi
       IMPLICIT NONE
 
@@ -22,5 +24,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comcstfi.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specIR.F	(revision 1384)
@@ -3,5 +3,6 @@
       use radinc_h, only: L_NSPECTI
       use radcommon_h, only: WNOI,DWNI
-!      use comsoil_h
+      use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, daysec, dtphys,
+     &                        pi
 
       implicit none
@@ -25,6 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-!include "comconst.h"
-#include "comcstfi.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniwrite_specVI.F	(revision 1384)
@@ -4,5 +4,6 @@
       use radcommon_h, only: WNOV,DWNV
       use comsoil_h
-
+      use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, daysec, dtphys,
+     &                        pi
       implicit none
 
@@ -25,6 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-!include "comconst.h"
-#include "comcstfi.h"
 #include "comvert.h"
 #include "comgeom.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/iniwritesoil.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/iniwritesoil.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/iniwritesoil.F90	(revision 1384)
@@ -6,4 +6,5 @@
 
 use comsoil_h, only: mlayer, inertiedat, nsoilmx
+use comcstfi_mod, only: pi
 
 implicit none
@@ -11,5 +12,4 @@
 #include"dimensions.h"
 #include"paramet.h"
-#include"comcstfi.h"
 #include"comgeom.h"
 #include"netcdf.inc"
@@ -89,5 +89,5 @@
 ierr=NF_PUT_VAR_REAL(nid,varid,rlonv*(180./pi))
 #endif
-! Note: rlonv is known from comgeom.h and pi from comcstfi.h
+! Note: rlonv is known from comgeom.h
 if (ierr.ne.NF_NOERR) then
   write(*,*)"iniwritesoil: Error, could not write longitude variable"
@@ -121,5 +121,5 @@
 ierr=NF_PUT_VAR_REAL(nid,varid,rlatu*(180./pi))
 #endif
-! Note: rlatu is known from comgeom.h and pi from comcstfi.h
+! Note: rlatu is known from comgeom.h
 if (ierr.ne.NF_NOERR) then
   write(*,*)"iniwritesoil: Error, could not write longitude variable"
Index: trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/kcm1d.F90	(revision 1384)
@@ -9,5 +9,5 @@
   use planete_mod
 !  use control_mod
-
+  use comcstfi_mod
   implicit none
 
@@ -33,7 +33,4 @@
 !#include "dimphys.h"
 #include "callkeys.h"
-#include "comcstfi.h"
-!#include "planete.h"
-!#include "control.h"
 
   ! --------------------------------------------------------------
Index: trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/kcmprof_fn.F90	(revision 1384)
@@ -4,4 +4,5 @@
 use watercommon_h, only : mH2O
 use gases_h
+use comcstfi_mod, only: mugaz, cpp, g
 implicit none
 
@@ -12,7 +13,4 @@
 !     ----------------------------------------------------------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/largescale.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/largescale.F90	(revision 1384)
@@ -23,8 +23,4 @@
 !     
 !==================================================================
-
-!#include "dimensions.h" 
-!#include "dimphys.h"
-#include "comcstfi.h"
 
 #include "callkeys.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/mass_redistribution.F90	(revision 1384)
@@ -10,5 +10,6 @@
        USE tracer_h
        USE planete_mod, only: bp
-
+       use comcstfi_mod, only: g
+       
        IMPLICIT NONE
 !=======================================================================
@@ -51,9 +52,4 @@
 !    ------------------
 !
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
-!#include "comvert.h"
-!#include "paramet.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/moistadj.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/moistadj.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/moistadj.F90	(revision 1384)
@@ -3,4 +3,5 @@
   use watercommon_h, only: T_h2O_ice_liq, RLVTT, RCPD, RCPV, Psat_water, Lcpdqsat_water
   USE tracer_h, only: igcm_h2o_vap, igcm_h2o_ice
+  use comcstfi_mod, only: r
 
   implicit none
@@ -19,8 +20,4 @@
 !     
 !=====================================================================
-
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 
       INTEGER,INTENT(IN) :: ngrid, nlayer, nq
Index: trunk/LMDZ.GENERIC/libf/phystd/newsedim.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newsedim.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/newsedim.F	(revision 1384)
@@ -1,4 +1,6 @@
       SUBROUTINE newsedim(ngrid,nlay,naersize,ptimestep,
      &  pplev,masse,epaisseur,pt,rd,rho,pqi,wq)
+      
+      use comcstfi_mod, only: r, g
       IMPLICIT NONE
 
@@ -15,8 +17,4 @@
 !   declarations
 !   ------------
-
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 
 !   arguments
Index: trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1384)
@@ -1,9 +1,7 @@
 subroutine newtrelax(ngrid,nlayer,mu0,sinlat,popsk,temp,pplay,pplev,dtrad,firstcall) 
         
+  use comcstfi_mod, only: rcp, pi
   implicit none
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 #include "netcdf.inc"
Index: trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1384)
@@ -15,7 +15,4 @@
 
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
@@ -67,7 +64,4 @@
 
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
@@ -210,7 +204,4 @@
       use slab_ice_h
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
@@ -451,7 +442,4 @@
     use slab_ice_h 
 
-!#include "dimensions.h"
-!#include "comcstfi.h"
-!    INCLUDE "iniprint.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/optci.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/optci.F90	(revision 1384)
@@ -6,4 +6,5 @@
   use radcommon_h, only: gasi,tlimit,wrefVAR,Cmk,tgasref,pfgasref,wnoi,scalep,indi,glat_ig
   use gases_h
+  use comcstfi_mod, only: g, r, mugaz
   implicit none
 
@@ -28,5 +29,4 @@
   !==================================================================
 
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/optcv.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/optcv.F90	(revision 1384)
@@ -6,4 +6,5 @@
   use radcommon_h, only: gasv, tlimit, wrefVAR, Cmk, tgasref, pfgasref,wnov,scalep,indv,glat_ig
   use gases_h
+  use comcstfi_mod, only: g, r, mugaz
 
   implicit none
@@ -35,5 +36,4 @@
   !-------------------------------------------------------------------
 
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/orbite.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/orbite.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/orbite.F	(revision 1384)
@@ -2,4 +2,5 @@
 
       use planete_mod, only: p_elips, e_elips, timeperi, obliquit
+      use comcstfi_mod, only: pi
       implicit none
 !==================================================================
@@ -24,6 +25,4 @@
 c   Declarations:
 c   -------------
-
-#include "comcstfi.h"
 
 c arguments:
Index: trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1384)
@@ -20,8 +20,4 @@
 !======================================================================
 #include "netcdf.inc"
-!#include "dimensions.h"
-!#include "dimphys.h"
-!#include "planete.h"
-#include "comcstfi.h"
 
 !======================================================================
Index: trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1384)
@@ -19,8 +19,8 @@
   use planete_mod, only: year_day, periastr, apoastr, peri_day, &
                          obliquit, z0, lmixmin, emin_turb
+  use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, daysec
 
   implicit none
-!#include "planete.h"
-#include "comcstfi.h"
+
   character(len=*), intent(in) :: filename
   real,intent(in) :: lonfi(ngrid)
@@ -147,7 +147,4 @@
   implicit none
 !======================================================================
-!#include "temps.h"
-#include "comcstfi.h"
-!#include "planete.h"
 #include "callkeys.h"
 !======================================================================
Index: trunk/LMDZ.GENERIC/libf/phystd/physiq.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/physiq.F90	(revision 1384)
@@ -34,5 +34,5 @@
       use planete_mod, only: apoastr, periastr, year_day, peri_day, &
                             obliquit, nres, z0
-
+      use comcstfi_mod, only: pi, g, rcp, r, rad, mugaz, cpp, daysec
       implicit none
 
@@ -132,10 +132,5 @@
 !    ------------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
 #include "callkeys.h"
-#include "comcstfi.h"
-!#include "planete.h"
-!#include "control.h"
 #include "netcdf.inc"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/radii_mod.F90	(revision 1384)
@@ -142,10 +142,8 @@
 !==================================================================
       use watercommon_h, Only: T_h2O_ice_liq,T_h2O_ice_clouds,rhowater,rhowaterice
+      use comcstfi_mod, only: pi
       Implicit none
 
       include "callkeys.h"
-!      include "dimensions.h"
-!      include "dimphys.h"
-      include "comcstfi.h"
 
       integer,intent(in) :: ngrid
@@ -203,10 +201,8 @@
 !==================================================================
       use watercommon_h, Only: rhowater,rhowaterice
+      use comcstfi_mod, only: pi
       Implicit none
 
       include "callkeys.h"
-!      include "dimensions.h"
-!      include "dimphys.h"
-      include "comcstfi.h"
 
       integer,intent(in) :: ngrid
@@ -252,10 +248,8 @@
 !==================================================================
       USE tracer_h, only:igcm_co2_ice,rho_co2
+      use comcstfi_mod, only: pi
       Implicit none
 
       include "callkeys.h"
-!      include "dimensions.h"
-!      include "dimphys.h"
-      include "comcstfi.h"
 
       integer,intent(in) :: ngrid,nlayer,nq
@@ -300,8 +294,4 @@
       Implicit none
 
-!      include "callkeys.h"
-!      include "dimensions.h"
-!      include "dimphys.h"
-
       integer,intent(in) :: ngrid
       integer,intent(in) :: nlayer
@@ -329,8 +319,4 @@
       Implicit none
 
-!      include "callkeys.h"
-!      include "dimensions.h"
-!      include "dimphys.h"
-
       integer,intent(in) :: ngrid
       integer,intent(in) :: nlayer
@@ -360,6 +346,4 @@
 
      include "callkeys.h"
-!     include "dimensions.h"
-!     include "dimphys.h"
 
       integer,intent(in) :: ngrid
Index: trunk/LMDZ.GENERIC/libf/phystd/rain.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/rain.F90	(revision 1384)
@@ -8,4 +8,5 @@
   use radii_mod, only: h2o_cloudrad
   USE tracer_h, only: igcm_h2o_vap, igcm_h2o_ice
+  use comcstfi_mod, only: g, r
   implicit none
 
@@ -24,7 +25,4 @@
 !==================================================================
 
-!  include "dimensions.h"
-!  include "dimphys.h"
-  include "comcstfi.h"
   include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/rcm1d.F	(revision 1384)
@@ -19,5 +19,6 @@
      &         obliquit,nres,z0,lmixmin,emin_turb,coefvis,coefir,
      &         timeperi,e_elips,p_elips
-
+      use comcstfi_mod, only: pi, cpp, daysec, dtphys, rad, g, r,
+     &                        mugaz, rcp, omeg
       implicit none
 
@@ -50,7 +51,4 @@
 !include "dimphys.h"
 #include "callkeys.h"
-#include "comcstfi.h"
-!#include "planete.h"
-!#include "control.h"
 #include "comvert.h"
 #include "netcdf.inc"
Index: trunk/LMDZ.GENERIC/libf/phystd/setspi.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/setspi.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/setspi.F90	(revision 1384)
@@ -25,9 +25,9 @@
       use radcommon_h, only: BWNI,BLAMI,WNOI,DWNI,WAVEI,planckir,sigma
       use datafile_mod, only: datadir
+      use comcstfi_mod, only: pi
 
       implicit none
 
 #include "callkeys.h"
-#include "comcstfi.h"
 
       logical file_ok
Index: trunk/LMDZ.GENERIC/libf/phystd/setspv.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/setspv.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/setspv.F90	(revision 1384)
@@ -30,5 +30,4 @@
       implicit none
 
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/sfluxi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/sfluxi.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/sfluxi.F	(revision 1384)
@@ -6,8 +6,7 @@
       use radinc_h
       use radcommon_h, only: planckir, tlimit,sigma
+      use comcstfi_mod, only: pi
 
       implicit none
-
-#include "comcstfi.h"
 
       integer NLEVRAD, L, NW, NG, NTS, NTT
Index: trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/stellarlong.F	(revision 1384)
@@ -2,4 +2,5 @@
       
       USE planete_mod, ONLY: year_day, peri_day, e_elips, timeperi
+      use comcstfi_mod, only: pi
       IMPLICIT NONE
 
@@ -41,7 +42,4 @@
 c   Declarations:
 c   -------------
-
-!#include "planete.h"
-#include "comcstfi.h"
 
 c arguments:
Index: trunk/LMDZ.GENERIC/libf/phystd/stokes.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/stokes.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/stokes.F90	(revision 1384)
@@ -14,8 +14,7 @@
 
 !      use radcommon_h, only : Rgas
+      use comcstfi_mod, only: g, pi, avocado
 
       implicit none
-
-#include "comcstfi.h"
 
 !     input
Index: trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/su_watercycle.F90	(revision 1384)
@@ -2,6 +2,7 @@
 
       use watercommon_h
+      use comcstfi_mod, only: cpp, mugaz
       implicit none
-#include "comcstfi.h"
+
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/sugas_corrk.F90	(revision 1384)
@@ -26,5 +26,5 @@
       use radcommon_h, only : wrefvar,WNOI,WNOV
       use datafile_mod, only: datadir
-
+      use comcstfi_mod, only: mugaz
       use gases_h
 !      use ioipsl_getincom
@@ -33,5 +33,4 @@
 
 #include "callkeys.h"
-#include "comcstfi.h"
 
 !==================================================================
Index: trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/surf_heat_transp_mod.F90	(revision 1384)
@@ -16,5 +16,4 @@
 !#include "dimphys.h"
 #include "paramet.h"
-#include "comcstfi.h"
 #include "comgeom.h"
 #include "comhdiff.h"
@@ -51,5 +50,4 @@
 !#include "dimphys.h"
 #include "paramet.h"
-#include "comcstfi.h"   
 #include "comgeom.h"
 #include "comhdiff.h"
@@ -115,5 +113,4 @@
 !#include "dimphys.h"
 #include "paramet.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 #include "comgeom.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/surface_nature.F	(revision 1384)
@@ -33,7 +33,4 @@
 !==================================================================
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/tabfi.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/tabfi.F	(revision 1384)
@@ -53,9 +53,8 @@
       use planete_mod, only: year_day, periastr, apoastr, peri_day,
      &                       obliquit, z0, lmixmin, emin_turb
-
+      use comcstfi_mod, only: rad, omeg, g, mugaz, rcp, cpp, dtphys,
+     &                        daysec, r
       implicit none
  
-#include "comcstfi.h"
-!#include "planete.h"
 #include "netcdf.inc"
 #include "callkeys.h"
Index: trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/totalcloudfrac.F90	(revision 1384)
@@ -19,7 +19,4 @@
 !==================================================================
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/turbdiff.F90	(revision 1384)
@@ -11,4 +11,5 @@
       use surfdat_h, only: dryness
       use tracer_h, only: igcm_h2o_vap, igcm_h2o_ice
+      use comcstfi_mod, only: rcp, g, r, cpp
 
       implicit none
@@ -41,7 +42,4 @@
 !     ------------
 
-!      include "dimensions.h"
-!      include "dimphys.h"
-      include "comcstfi.h"
       include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/vdifc.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/vdifc.F	(revision 1384)
@@ -12,4 +12,5 @@
       USE comgeomfi_h
       USE tracer_h
+      use comcstfi_mod, only: g, r, cpp, rcp
 
       implicit none
@@ -38,7 +39,4 @@
 !     ------------
 
-!#include "dimensions.h"
-!#include "dimphys.h"
-#include "comcstfi.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F	(revision 1371)
+++ trunk/LMDZ.GENERIC/libf/phystd/writeg1d.F	(revision 1384)
@@ -128,4 +128,5 @@
 
       SUBROUTINE endg1d(ngrid,nlayer,zlayer,ndt)
+      USE comcstfi_mod, ONLY: dtphys, daysec
       IMPLICIT NONE
 c.......................................................................
@@ -142,5 +143,4 @@
 c
 #include "comg1d.h"
-#include "comcstfi.h"
 
 
